# 1.36.0[−][src]Module core::future

Asynchronous values.

## Structs

Pending | Experimental Creates a future which never resolves, representing a computation that never finishes.
PollFn | Experimental A Future that wraps a function returning `Poll`.
Ready | Experimental Creates a future that is immediately ready with a value.

## Traits

Future | A future represents an asynchronous computation.
IntoFuture | Experimental Conversion into a `Future`.

## Functions

pending | Experimental Creates a future which never resolves, representing a computation that never finishes.
poll_fn | Experimental Creates a future that wraps a function returning `Poll`.
ready | Experimental Creates a future that is immediately ready with a value.